---
title: EcdsaParams
slug: Web/API/EcdsaParams
tags:
  - API
  - Dictionary
  - EcdsaParams
  - Reference
  - Web Crypto API
---
<div>{{ APIRef("Web Crypto API") }}</div>

<p>The <code><strong>EcdsaParams</strong></code> dictionary of the <a href="/en-US/docs/Web/API/Web_Crypto_API">Web Crypto API </a>represents the object that should be passed as the <code>algorithm</code> parameter into {{domxref("SubtleCrypto.sign()")}} or {{domxref("SubtleCrypto.verify()")}} when using the <a href="/en-US/docs/Web/API/SubtleCrypto/sign#ECDSA">ECDSA</a> algorithm.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt><code>name</code></dt>
 <dd>A {{domxref("DOMString")}}. This should be set to <code>ECDSA</code>.</dd>
 <dt><code>hash</code></dt>
 <dd>A {{domxref("DOMString")}}. An identifier for the <a href="/en-US/docs/Web/API/SubtleCrypto/digest">digest algorithm</a> to use. This should be one of the following:
 <ul>
  <li><code>SHA-256</code>: selects the <a href="/en-US/docs/Web/API/SubtleCrypto/digest#SHA-256">SHA-256</a> algorithm.</li>
  <li><code>SHA-384</code>: selects the <a href="/en-US/docs/Web/API/SubtleCrypto/digest#SHA-384">SHA-384</a> algorithm.</li>
  <li><code>SHA-512</code>: selects the <a href="/en-US/docs/Web/API/SubtleCrypto/digest#SHA-512">SHA-512</a> algorithm.</li>
 </ul>

 <div class="notecard warning">
 <p><strong>Warning</strong>: <code>SHA-1</code> is also supported here but the <a href="/en-US/docs/Web/API/SubtleCrypto/digest#SHA-1">SHA-1</a> algorithm is considered vulnerable and should no longer be used.</p>
 </div>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>See the examples for {{domxref("SubtleCrypto.sign()")}} or {{domxref("SubtleCrypto.verify()")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('Web Crypto API', '#dfn-EcdsaParams', 'SubtleCrypto.EcdsaParams') }}</td>
   <td>{{ Spec2('Web Crypto API') }}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>Browsers that support the "ECDSA" algorithm for the {{domxref("SubtleCrypto.sign()")}} and {{domxref("SubtleCrypto.verify()")}} methods will support this type.</p>

<p>{{Compat("api.SubtleCrypto.sign")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("SubtleCrypto.sign()")}} and {{domxref("SubtleCrypto.verify()")}}.</li>
</ul>
